> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Network

> Return a network with its rules and members.



## OpenAPI

````yaml https://api.primeintellect.ai/api/v1/sandbox/openapi.json get /api/v1/sandbox/networks/{network_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/sandbox/networks/{network_id}:
    get:
      tags:
        - Sandbox Networks
      summary: Get Network
      description: Return a network with its rules and members.
      operationId: get_network_api_v1_sandbox_networks__network_id__get
      parameters:
        - name: network_id
          in: path
          required: true
          schema:
            type: string
            title: Network Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NetworkResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    NetworkResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Id
        rules:
          items:
            type: object
          type: array
          title: Rules
        version:
          type: integer
          title: Version
        synced:
          type: boolean
          title: Synced
        created_at:
          type: string
          format: date-time
          title: Created At
        members:
          anyOf:
            - items:
                $ref: '#/components/schemas/NetworkMemberResponse'
              type: array
            - type: 'null'
          title: Members
      type: object
      required:
        - id
        - name
        - team_id
        - rules
        - version
        - synced
        - created_at
      title: NetworkResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    NetworkMemberResponse:
      properties:
        sandbox_id:
          type: string
          title: Sandbox Id
        tags:
          items:
            type: string
          type: array
          title: Tags
        synced:
          type: boolean
          title: Synced
      type: object
      required:
        - sandbox_id
        - tags
        - synced
      title: NetworkMemberResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````